This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 04:00
Elapsed6m58s
Revision
Builder3b8d88fb-73cd-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/e76f734f-a4f2-4ba4-a503-50113b1c0aaf/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/e76f734f-a4f2-4ba4-a503-50113b1c0aaf/targets/test
infra-commitd2349a1e0

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 04:01:03.614] process 30 exited with code 0 after 0.0m
I0401 04:01:03.615] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 04:01:03.615] Root: /workspace
I0401 04:01:03.615] cd to /workspace
I0401 04:01:03.615] Configure environment...
I0401 04:01:03.616] Call:  git show -s --format=format:%ct HEAD
W0401 04:01:03.625] fatal: not a git repository (or any of the parent directories): .git
I0401 04:01:03.631] process 43 exited with code 128 after 0.0m
W0401 04:01:03.631] Unable to print commit date for HEAD
I0401 04:01:03.631] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 04:01:04.618] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 04:01:05.677] process 44 exited with code 0 after 0.0m
I0401 04:01:05.678] Call:  gcloud config get-value account
I0401 04:01:07.104] process 57 exited with code 0 after 0.0m
I0401 04:01:07.104] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 04:01:07.105] Start 1245199213260705792 at ...
I0401 04:01:07.107] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_3Cci6L gs://kubernetes-jenkins/logs/metrics-kettle/1245199213260705792/started.json
I0401 04:01:12.193] process 70 exited with code 0 after 0.1m
I0401 04:01:12.194] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 04:01:12.302] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 04:07:46.593] ERROR: table k8s-gubernator:build.all is 21.0 hours old. Max allowed: 6 hours.
I0401 04:07:46.593] ERROR: table k8s-gubernator:build.week is 21.3 hours old. Max allowed: 6 hours.
I0401 04:07:46.593] ERROR: table k8s-gubernator:build.day is 20.8 hours old. Max allowed: 6 hours.
I0401 04:07:46.593] Collected data:
I0401 04:07:46.593] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 04:07:46.594] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 04:07:46.594] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 04:07:46.594] 
W0401 04:07:46.694] Traceback (most recent call last):
... skipping 22 lines ...
W0401 04:07:46.699]     self.send(msg)
W0401 04:07:46.699]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 04:07:46.699]     self.connect()
W0401 04:07:46.700]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 04:07:46.700]     conn = self._new_conn()
W0401 04:07:46.700]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 04:07:46.700]     self, "Failed to establish a new connection: %s" % e
W0401 04:07:46.700] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fbd5dfa7358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 04:07:46.701] 
W0401 04:07:46.701] During handling of the above exception, another exception occurred:
W0401 04:07:46.701] 
W0401 04:07:46.701] Traceback (most recent call last):
W0401 04:07:46.701]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 04:07:46.701]     timeout=timeout
W0401 04:07:46.701]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 04:07:46.702]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 04:07:46.702]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 04:07:46.702]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 04:07:46.702] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fbd5dfa7358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 04:07:46.702] 
W0401 04:07:46.703] During handling of the above exception, another exception occurred:
W0401 04:07:46.703] 
W0401 04:07:46.703] Traceback (most recent call last):
W0401 04:07:46.703]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 04:07:46.703]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 04:07:46.705]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 04:07:46.705]     resp = self.send(prep, **send_kwargs)
W0401 04:07:46.705]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 04:07:46.705]     r = adapter.send(request, **kwargs)
W0401 04:07:46.706]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 04:07:46.706]     raise ConnectionError(e, request=request)
W0401 04:07:46.706] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fbd5dfa7358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 04:07:46.767] Traceback (most recent call last):
W0401 04:07:46.768]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 04:07:46.768]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 04:07:46.768]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 04:07:46.769]     check(*cmd)
W0401 04:07:46.769]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 04:07:46.769]     subprocess.check_call(cmd)
W0401 04:07:46.769]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 04:07:46.769]     raise CalledProcessError(retcode, cmd)
W0401 04:07:46.770] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 04:07:46.792] Command failed
I0401 04:07:46.792] process 252 exited with code 1 after 6.6m
E0401 04:07:46.793] FAIL: metrics-kettle
I0401 04:07:46.793] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 04:07:47.722] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 04:07:48.440] process 256 exited with code 0 after 0.0m
I0401 04:07:48.440] Call:  gcloud config get-value account
I0401 04:07:49.966] process 268 exited with code 0 after 0.0m
I0401 04:07:49.967] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 04:07:49.967] Upload result and artifacts...
I0401 04:07:49.967] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245199213260705792
W0401 04:07:49.967] Missing local artifacts : /workspace/_artifacts
W0401 04:07:49.967] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 04:07:49.968] metadata not found or invalid, init with empty metadata
I0401 04:07:49.968] Call:  git rev-parse HEAD
W0401 04:07:49.977] fatal: not a git repository (or any of the parent directories): .git
E0401 04:07:49.979] Command failed
I0401 04:07:49.979] process 281 exited with code 128 after 0.0m
I0401 04:07:49.980] Call:  git rev-parse HEAD
I0401 04:07:49.990] process 282 exited with code 0 after 0.0m
I0401 04:07:49.990] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 04:07:52.480] process 283 exited with code 0 after 0.0m
I0401 04:07:52.481] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585710369789209'
... skipping 8 lines ...